<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<!--
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed materials - Property of IBM
* Tivoli Presentation Services
*
* (C) Copyright IBM Corp. 2003
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with
* IBM Corp.
************************************************************ {COPYRIGHT-END} ****/
-->

<%@taglib prefix="wcl" uri="/WEB-INF/WCLTagLib.tld"%>
<%@taglib prefix="hmc" uri="/WEB-INF/hmc.tld"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@page contentType="text/html;charset=UTF-8" 
		language="java"
		import="com.ibm.hwmca.ui.bonsai.servlet.util.*,
                com.ibm.hwmca.ui.bonsai.servlet.Action,
                com.ibm.hwmca.ui.bonsai.util.*,
                com.ibm.hwmca.fw.servlet.util.*,
                com.ibm.hwmca.fw.util.*,
                java.util.*" %>

<fmt:bundle basename="com.ibm.hwmca.ui.bonsai.res.bonsai">
<html>
<head>

<%
    // attach the user context to this thread
    ServletRuntime.getRuntime().attachUserContextToServletThread(request);
%>

<meta http-equiv="Content-Type" content="text/html;CHARSET=UTF-8"/>

<style type="text/css">
<!--
body {
padding-top:5px;
padding-left:20px;
padding-right:20px;
margin:0;
font-family:helvetica, arial, sans-serif;
font-size:smaller;
}

#itemNavigation {
margin:0 0 0px 0;
padding:0;
}

#itemNavigation li {
list-style:none;
margin:0 0 10px 0px;
padding;0 0 0 0;
}

#rootnode {
font-weight:bold;
font-family: helvetica, arial, sans-serif;
}

#bookList {
margin:0px;
padding:0px;
}

#bookList li {
list-style:none;
margin:0px 0px 0px 100px;
padding:0px;
}

.imageButton {
  background-color: transparent;
  border:1px solid transparent;
  font-size:90%;
  font-family:Helvetica, arial, sans-serif;
  color: black;
  margin:0px;
  padding:0px;
  cursor:pointer;
  cursor:hand;
}

}
-->
</style>

<script language="JavaScript">
<!--
    function toggleDiv(textDivId, booksDivId, imgId) {
        if ( document.getElementById(booksDivId) && document.getElementById(textDivId) ) {
            var booksDivStyle = document.getElementById(booksDivId).style;
            var textDivStyle  = document.getElementById(textDivId).style;

            booksDivStyle.display = booksDivStyle.display == "block" ? "none" : "block";
            textDivStyle.display = booksDivStyle.display == "block" ? "none" : "block";
            if ( document.getElementById(imgId) ) {
                var img = document.getElementById(imgId);
                if ( booksDivStyle.display == "none" ) {
                    img.src = "/res/com/ibm/hwmca/ui/bonsai/images/horizontalarrow.gif";
                } else {
                    img.src = "/res/com/ibm/hwmca/ui/bonsai/images/verticalarrow.gif";
                }
            }
        }
    }
-->
</script>
</head>

<!-- image dir /res/com/ibm/hwmca/ui/bonsai/ -->
<body>
    <span id="rootnode">Welcome</span>
    <br><br>
	<ul id="itemNavigation">
		<li><fmt:message key="welcome.overview"/>
		<br><br> 
		<li><img src="/res/com/ibm/hwmca/ui/bonsai/images/system-icon32.gif" width="32" height="32" />
		<SPAN id="rootnode"><fmt:message key="sysconfig.name"/></span>
		<UL>
		<li><fmt:message key="welcome.overview.sysconfig"/></li>
		</UL>
		<li><img src="/res/com/ibm/hwmca/ui/bonsai/images/HMC-icon32.gif" width="32" height="32" />
		<SPAN id="rootnode"><fmt:message key="hmcmgmt.name"/></span>
		<UL>
		<li><fmt:message key="welcome.overview.hmcmgmt"/></li>
		</UL>
		<li><img src="/res/com/ibm/hwmca/ui/bonsai/images/settings-icon32.gif" width="32" height="32" />
		<SPAN id="rootnode"><fmt:message key="settings.name"/></span>
		<UL>
		<li><fmt:message key="welcome.overview.settings"/></li>
		</UL>
		<li><img src="/res/com/ibm/hwmca/ui/bonsai/images/status-combo-30.gif" width="32" height="32" />
		<SPAN id="rootnode"><fmt:message key="statusbar.name"/></span>
		<UL>
		<li><fmt:message key="welcome.overview.statusbar"/></li>
		</UL>
		<br>
		<span id="rootnode">Additional Resources</span>
		<UL>
		<li><a title="<%= new LocalizableText(Action.BUNDLE_NAME, "welcome.resourcelink.mo").toString(request.getLocale())%>" href="https://www.ibm.com/servers/resourcelink" target="_new">
		<span id="rootnode"><fmt:message key="welcome.resourcelink"/></span></a>
		<br><fmt:message key="welcome.overview.resourcelink"/></li>
		</UL>
		<UL>
		<li><button class="imageButton" onclick="toggleDiv('bookListText', 'bookListDiv', 'bookListImg')" title="<%= new LocalizableText(Action.BUNDLE_NAME, "welcome.library.title.mo").toString(request.getLocale())%>" type="button">
				<img id="bookListImg" align="absmiddle" border="0" src="/res/com/ibm/hwmca/ui/bonsai/images/horizontalarrow.gif"/>
			</button>
			<a title="<%= new LocalizableText(Action.BUNDLE_NAME, "welcome.library.title.mo").toString(request.getLocale())%>" href="javascript: toggleDiv('bookListText', 'bookListDiv', 'bookListImg')"><span id="rootnode"><fmt:message key="welcome.library.title"/></span></a>
        	<div id="bookListText"><fmt:message key="welcome.library.overview"/></div>
	        <div id="bookListDiv" style="display: none">
	          <a target="new" href="/books/z/fw1t3mst.pdf" title="<%= new LocalizableText(Action.BUNDLE_NAME, "welcome.library.book.mo.api"  ).toString(request.getLocale())%>"><fmt:message key="welcome.library.book.api"  /></a><br>
	          <a target="new" href="/books/z/javaapis.pdf" title="<%= new LocalizableText(Action.BUNDLE_NAME, "welcome.library.book.mo.apifj").toString(request.getLocale())%>"><fmt:message key="welcome.library.book.apifj"/></a><br>
	          <a target="new" href="/books/z/cfcpcmds.pdf" title="<%= new LocalizableText(Action.BUNDLE_NAME, "welcome.library.book.mo.cfccc").toString(request.getLocale())%>"><fmt:message key="welcome.library.book.cfccc"/></a><br>
	          <a target="new" href="/books/z/cfcpmsgs.pdf" title="<%= new LocalizableText(Action.BUNDLE_NAME, "welcome.library.book.mo.cdccm").toString(request.getLocale())%>"><fmt:message key="welcome.library.book.cdccm"/></a><br>
	          <a target="new" href="/books/z/fw1thmst.pdf" title="<%= new LocalizableText(Action.BUNDLE_NAME, "welcome.library.book.mo.hmcog").toString(request.getLocale())%>"><fmt:message key="welcome.library.book.hmcog"/></a>
	        </div></li>
        </UL>
	</ul>

	</body>
</html>
</fmt:bundle>
