<%--
 This is an error page delivered by the Connect servlet when the user attempts
 to login using a browser that doesn't conform to the minimum level of the
 HTTP protocol supported by the HMC.  The catches old web browsers or
 misconfigured web browsers.
--%>

<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@taglib prefix="hmc" uri="/WEB-INF/hmc.tld"%>

<%@page session="false"%>   <%-- prevent a session from being created --%>

<fmt:bundle basename="com.ibm.hwmca.fw.servlet.connect.res.connect">
<html>
<head>
   <hmc:title><fmt:message key="badProtocolTitle"/></hmc:title>
   <link href='<%=application.getAttribute("hmcStyleSheet")%>' rel="stylesheet" type="text/css"/>
   <link rel="icon" href="/hmc.png" type="image/png"/>
</head>
<body>
<span class="wclContainer">
<h1><fmt:message key="badProtocolTitle"/></h1>
<p>
<fmt:message key="badProtocolMessage"/>

<%@include file="linkToWelcomeOrClose.jsp"%>
</span>
</body>
</html>
</fmt:bundle>
