<%---
/*********************************************************** {COPYRIGHT-TOP}***
* Licensed materials - Property of IBM
* Tivoli Presentation Services
*
* (C) Copyright IBM Corp. 2003
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with
* IBM Corp.
*
* Module History:
* 06/20/2007  JMiller      Rename from SystemZHmcVersionParser.java
* 06/25/2007  JMiller      Remove parens from around HMCVersion info popup
*
************************************************************ {COPYRIGHT-END}***/
--%>

<%@ page import="com.ibm.hwmca.fw.util.LocalizableText,
                 com.ibm.hwmca.ui.bonsai.util.hmcversion.*" %>

<%--<jsp:useBean id="SysInfoEcBean" class="com.ibm.hwmca.base.sysinfo.SysInfoEcBean" />--%>

<%! 
    private static final String HMCVER_BUNDLENAME = 
		"com/ibm/hwmca/ui/bonsai/res/bonsai";
%>

<%
	CommonHmcVersionInfo sysInfo = CommonHmcVersionInfo.getCommonHmcVersionInfo();
    
    LocalizableText HMC_VER_TITLE = new LocalizableText( HMCVER_BUNDLENAME, 
		"hmcversion.title" );
	LocalizableText HMC_VERSION = new LocalizableText( HMCVER_BUNDLENAME, 
		"hmcversion.version", new String[] { sysInfo.getVersion() } );
	LocalizableText HMC_MODEL = new LocalizableText( HMCVER_BUNDLENAME, 
		"hmcversion.modeltype", new String[] { sysInfo.getMachineModel() } );
    LocalizableText HMC_MACH_TYPE = new LocalizableText( HMCVER_BUNDLENAME, 
        "hmcversion.machtype", new String[] { sysInfo.getMachineType() } );
    LocalizableText HMC_MACH_NAME = new LocalizableText( HMCVER_BUNDLENAME, 
        "hmcversion.machname", new String[] { sysInfo.getMachineName() } );
    LocalizableText HMC_SERIAL = new LocalizableText( HMCVER_BUNDLENAME,
        "hmcversion.serialnumber", new String[] { sysInfo.getMachineSerialNumber() } );
    LocalizableText HMC_AROM = new LocalizableText( HMCVER_BUNDLENAME, 
        "hmcversion.arominfo", new String[] { sysInfo.getAROMInfo() } );
    LocalizableText HMC_EC_NUM = new LocalizableText( HMCVER_BUNDLENAME,
        "hmcversion.ecnum", new String[] { sysInfo.getECNumber() } );
		
	// convert localizable text to strings for displaying
	String hmcVerTitle = HMC_VER_TITLE.toString( request.getLocale() );
	String hmcVersion = HMC_VERSION.toString( request.getLocale() );
    String hmcModel = HMC_MODEL.toString( request.getLocale() );
    String hmcMachType = HMC_MACH_TYPE.toString( request.getLocale() );
    String hmcMachName = HMC_MACH_NAME.toString( request.getLocale() );
    String hmcSerial = HMC_SERIAL.toString( request.getLocale() );
    String hmcArom = HMC_AROM.toString( request.getLocale() );
    String hmcECNum = HMC_EC_NUM.toString( request.getLocale() ); 
	
%>

<a href="#" class="popup"><%= hmcVerTitle %>
	<span>
		<p>
		<%= hmcVersion %><br />
		<%= hmcMachName %><br />
		<%= hmcMachType %><br />
        <%= hmcModel %><br />
        <%= hmcSerial %><br />
        <%= hmcArom %><br />
        <%= hmcECNum %><br />  
		</p>
	</span>
</a>
